Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: nekohasekai
AuthorEmail: sekai@neko.services
WebSite: https://sagernet.org/
SourceCode: https://github.com/SagerNet/SagerNet
IssueTracker: https://github.com/SagerNet/SagerNet/issues
Translation: https://hosted.weblate.org/projects/sagernet/

Name: NaïveProxy Plugin - SagerNet
AutoName: Naïve Plugin

RepoType: git
Repo: https://github.com/SagerNet/SagerNet

Builds:
  - versionName: 91.0.4472.77-1-x86
    versionCode: 7
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidX86
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-x64
    versionCode: 8
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidX64
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-arm
    versionCode: 9
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidArm
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-arm64
    versionCode: 10
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 97.0.4692.71-2
    versionCode: 50
    commit: 1fea08f267364bc7009b161d2eaa145092efc22c
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 98.0.4758.80-1
    versionCode: 55
    commit: 8949632e50ca2938ab5cc5f0bb7c3286b17c8256
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 98.0.4758.80-2
    versionCode: 60
    commit: 2ccc252c97d5d4a72c4e769f41740f42e2b47933
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 99.0.4844.51-1
    versionCode: 65
    commit: e94bafc2fd2eedf26322aa1e2caf2ac242d53046
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 100.0.4896.60-1
    versionCode: 70
    commit: 3e816628d5b5dfa639c05a2fd3670e761f293f9d
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 101.0.4951.41-1
    versionCode: 75
    commit: 7e973bcb55882480647869422b64236bf1b4261b
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 105.0.5195.52-1
    versionCode: 95
    commit: f0b4416434fb0de228af2f1ae203140d6c3e66ec
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    srclibs:
      - cpython@v3.10.7
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
      - echo -e '\nexport PATH="$$cpython$$/bin:$PATH"' >> ./bin/plugin/naive/build.sh
    scandelete:
      - external
      - plugin
    build:
      - pushd $$cpython$$
      - ./configure --prefix=$$cpython$$
      - make -j`nproc`
      - make install
      - popd
    ndk: r23b

  - versionName: 106.0.5249.91-1
    versionCode: 100
    commit: 4926ad2b472a12f21be6b97ed071ab210d1d4eb1
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 107.0.5304.87-1
    versionCode: 105
    commit: 3593fc10b6889367774f37b32c2e5f89fedb5226
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 108.0.5359.94-1
    versionCode: 110
    commit: d4b397de0afbbd137cd727f3e2b18836dd487b51
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 109.0.5414.74-1
    versionCode: 115
    commit: 7bf05cfd8128d89e708b3df108505c53b7cd97a2
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 109.0.5414.74-2
    versionCode: 120
    commit: 682d889dd7fdb95f67915c098d836e516b39ce2e
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 110.0.5481.100-1
    versionCode: 125
    commit: 3eae8cff4779d4a8de1ce237780fafd9565cdda7
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    prebuild: cp -R ../../gradle ./
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 111.0.5563.64-1
    versionCode: 130
    commit: f8e8a82e95432e21f39a6c569339b31608175cdd
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    prebuild: cp -R ../../gradle ./
    scandelete:
      - external
      - plugin
    ndk: r25

  - versionName: 113.0.5672.62-2
    versionCode: 135
    commit: a82ccbad5564bee038b513eac033f17e48fee706
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y make tcl gettext libcurl4-openssl-dev ninja-build pkg-config
        bzip2 gcc-multilib
    gradle:
      - fdroid
    prebuild: cp -R ../../gradle ./
    scandelete:
      - plugin
    ndk: r25

AutoUpdateMode: Version
UpdateCheckMode: Tags ^naive-plugin-.*
VercodeOperation:
  - '%c * 5'
UpdateCheckData: sager.properties|NAIVE_VERSION=(\d+)|.|NAIVE_VERSION_NAME=(.*)
CurrentVersion: 113.0.5672.62-2
CurrentVersionCode: 135
